@Echo OFF

cd %~dp0
echo Traitement superview
echo.
echo Rappel : il est recommande d'utiliser des fichiers source en 1440p (4/3) (1920x1440)
echo.
echo Controle des pre-requis logiciels...
if not exist "ffmpeg.exe" (
	echo "ffmpeg.exe est manquant dans le repertoire"
	pause
	exit)
if not exist "ffprobe.exe" (
	echo "ffprobe.exe est manquant dans le repertoire"
	pause
	exit)
if not exist "superview-windows-amd64-v0.2.exe" (
	echo "superview-windows-amd64-v0.2.exe est manquant dans le repertoire"
	pause
	exit)
echo OK
echo.
	
echo Repertoire de destination : superview
echo.
if not exist "superview" mkdir superview	

SET source=
SET /p source=Appuyer sur [ENTER] pour traiter tous les fichiers mp4 du repertoire ou indiquer le nom du fichier a traiter (ex : wearefpv.mp4) puis [ENTER] : 

if "%source%" == "" (
	for %%f in (.\*.mp4) do (superview-windows-amd64-v0.2.exe -i %%f -o .\superview\superview_%%~nxf)
) else (
	superview-windows-amd64-v0.2.exe -i %source% -o  .\superview\superview_%source%)

echo Nettoyage des fichiers temporaires...
if exist "x.pgm" del x.pgm
if exist "y.pgm" del y.pgm

echo Done.
pause